Wednesday, 16 January 2013

Fedura 18 update with fedup

After updating two fc17 x86_64 KDE PCs over the network using FedUp, I thought that I would put down my experience and prepare anyone trying to do the same.

To get things started, fedup will probably not exist on your system, so, before starting the actual update process you will probably have to install it using the simple sudo yum install fedup command.

An other thing to mention here is that the current version of google-earth does not install on fedora 18.The actual error message is file /usr/bin from install of google-earth-stable- conflicts with file from package filesystem-3.1-2.fc18.x86_6. So the only way to do a descent update -- at least for the moment, Jan-16-2013 -- is to remove it: (sudo yum erase google-earth-stable) I am certain that the problem will be fixed, but right now we cannot have them both.

For the sake of completion, after installing fedup and removing google-earth, perform a full system update.

sudo yum -y update

After updating and rebooting, start the actual update process with the command:

sudo fedup-cli --network 18 --debuglog fedupdebug.log

This process (depending on your internet speed) will take quite some time. In the case of my desktop development machine, it downloaded 1755 packages plus an additional 728. When it will eventually be over, we will need to reboot and start the system from a specific "System Update (FedUp)" grub menu entry. FedUp will then do it's magic (press the Escape key if you want to see what it;s doing) and then you 'll have to reboot. The tricky part afterwards, is that KDE does not start complaining about various dependencies being let unsatisfied. The solution is start the system in text mode, make sure that you have an active network connection and then run:

yum distro-sync

This will downgrade approximately 90 packages but things will work out. As the fedora wiki advices, try running package-cleanup --orphans to determine packages left over that will receive no further updates and if possible remove them. (speaking of which a package-cleanup --oldkernels wouldn't hurt either...)